// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "libs.h"

// Display / Rendering
#include "display/camera.h"
#include "display/framebuffer.h"
#include "display/primitive.h"
#include "display/render.h"
#include "display/shader.h"
#include "display/spritebatch.h"
#include "display/texture.h"
#include "display/tileset.h"

#include "display/debug/grid.h"
#include "display/debug/position.h"

#include "display/gui/font.h"

// File / Asset Management
#include "file/asset.h"

// Game Logic / Game Time Management
#include "game/game.h"
#include "game/gametime.h"

// Player Input
#include "input/input.h"

// Poker Game Logic
#include "cards/card.h"
#include "cards/poker/holdem.h"

// Utility Objects
#include "util/list.h"
#include "util/math.h"
#include "util/rand.h"

// 3D Tile Game World
#include "world/entity/entity.h"
#include "world/map/chunk.h"
#include "world/map/map.h"
#include "world/map/tile.h"
#include "world/world.h"