/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "flop.h"

holdemaction_t actionFlop() {
  return (holdemaction_t){
    .init = &actionFlopInit,
    .update = &actionFlopUpdate,
    .dispose = &actionFlopDispose
  };
}

void actionFlopInit(int32_t index, void *data) {
  logText("Flop");
  
  // Look at the dealer
  holdemRenderLookHand(&HOLDEM_GAME_STATE.cameraLeft, HOLDEM_GAME_SEAT_DEALER);

  // Do the flop
  holdemFlop(&HOLDEM_GAME_STATE.match);

  // Next action
  holdemActionRemove(index);
}

void actionFlopUpdate(int32_t index, void *data) {

}

void actionFlopDispose(int32_t index, void *data) {
  holdemActionAdd(actionAi());
}