/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../display/shader.h"
#include "../../display/primitive.h"
#include "../../display/primitives/quad.h"
#include "../../display/spritebatch.h"
#include "../../display/gui/font.h"
#include "../../display/framebuffer.h"
#include "../../display/camera.h"
#include "../../display/primitives/cube.h"
#include "../../display/tileset.h"
#include "../model/pokertable.h"

#include "player.h"
#include "card.h"
#include "frame.h"
#include "look.h"
#include "scene.h"

/**
 * Prepare the Hold'em Game Renderer.
 */
void holdemRenderInit();

/**
 * Render the Texas Hold'em Game.
 */
void holdemRender();

void holdemRenderWorld();