/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include <dawn/dawn.h>
#include "../../display/camera.h"

/**
 * Look at a specific seat
 * 
 * @param camera Camera to adjust.
 * @param seat Seat to look at.
 */
void holdemRenderLookSeat(camera_t *camera, uint8_t seat);

/**
 * Look at a specific seats hand.
 * 
 * @param camera Camera to adjust.
 * @param seat Seats hand to look at.
 */
void holdemRenderLookHand(camera_t *camera, uint8_t seat);