/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../display/shader.h"
#include "../../display/primitive.h"
#include "../../display/primitives/quad.h"

/**
 * Initializes the player renderer.
 */
void holdemRenderPlayerInit();

/**
 * Returns the seat index for a given player.
 * 
 * @param player Player to get the seat for.
 * @return Seat ID for the given player.
 */
uint8_t holdemRenderPlayerGetSeatForPlayer(uint8_t player);

/**
 * Render's a player at a seat.
 * 
 * @param seat Seat to render the player at.
 */
void holdemRenderPlayer(uint8_t seat);