/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "game.h"

game_t GAME_STATE;

bool gameInit() {
  // Init the game
  GAME_STATE.name = GAME_NAME;

  logInit();
  logText("Starting Game");

  // Init
  gameTimeInit();
  renderInit();
  inputInit();

  // Load the world shader.
  GAME_STATE.shaderWorld = assetShaderLoad(
    "shaders/textured.vert", "shaders/textured.frag"
  );

  // Send to Texas Game
  holdemGameInit();

  // Init the input manger.
  return true;
}

bool gameUpdate(float platformDelta) {
  gameTimeUpdate(platformDelta);
  renderFrameStart();
  inputUpdate();
  
  shaderUse(GAME_STATE.shaderWorld);// TODO: remove
  holdemGameUpdate();

  if(inputIsPressed(INPUT_NULL)) return false;
  return true;
}

void gameDispose() {
  shaderDispose(GAME_STATE.shaderWorld);
  inputDispose();
  renderDispose();
}